package com.happy.Model;


import com.happy.Until.DateUtil;

import java.util.List;

/**
 * 订单实体类
 */
public class Booking {

  private Integer id;
  private String orderNum; // 订单号
  private String orderStatus; // 状态,1待支付,2已支付,3待入住,4已入住,5已消费,6支付超时,7已取消,8已退单,9已退款,10退款中
  private String orderName; // 状态名称,1待支付,2已支付,3待入住,4已入住,5已消费,6支付超时,7已取消,8已退单,9已退款,10退款中
  private String userIdnumber; // 住客身份号
  private String userName;//住客姓名
  private String userPhone;// 住客手机号
  private String hotelId;// 民宿id
  private Integer hotelManagerId;//所属商户Id
  private String hotelName;// 民宿名称
  private String hotelHposition; // 民宿位置
  private String hotelHpositionWens; // 民宿经纬度
  private String hotelPhone; // 民宿联系电话
  private String hotelPerson; // 民宿联系人
  private String hotelTownship; // 民宿所属乡镇
  private String hotelTownshipName; // 民宿所属乡镇
  private String hotelConfig; // 民宿配置
  private List hotelConfigList; // 民宿配置列表
  private String hotelType; // 民宿类型（舒适形、舒适型、包吃住型、普通型）
  private String hotelIsCanorder; // 是否可取消订单 （1是 2否）
  private String hotelIsOrder; // 是否自动接单 接单设置（1自动接单 2手动接单）
  private String hotelIsCheckout; // 是否自动退房（1是 2否）
  private String houseId; // 房型id
  private String houseName; // 户型名称
  private String houseConfig; //房间配置
  private List houseConfigList; //房间配置列表
  private double houseUnitPrice; // 房间单价
  private double houseTotalPrice; // 总价
  private int houseOrderNumber; // 订房数量
  private String houseAreas; // 房型面积
  private String houseRemake; // 房型备注
  private String orderStartTime; // 订房开始时间
  private String orderEndTime; // 订房结束时间
  private String orderLiveTime;// 订房入住时间合计
  private String orderRemake; // 订房备注
  private String createTime; // 订单创建时间
  private String createUserid; //订单创建人id
  private String updateTime; // 订单更新时间
  private String payTime; // 实际支付时间
  private double payAccount; // 实际支付金额
  private double orderAccount; // 订单金额
  private String payWay; // 支付方式：默认使用微信支付
  private double inAccount; // 入账金额
  private String refundWay; // 退款方式
  private double refundAmount; // 退款金额
  private String refundTime; // 退款时间
  private String checkOutTime; // 离店时间
  private String remake; // 备注信息
  private int status_del; // 是否假删除：0删除，1正常
  private String liveTime;//入住时间
  private Integer saccountState; // 清账状态
  private String saccountTime;  // 清账时间

  private List<HouseNumber> houseNumbers;//可分配房间号

  private String lockTime; // 锁定时间

  private Integer hstatus;//酒店营业状态(1 营业 2.休息)

  private Integer hotelStatus;//酒店状态(0删除 1正常，2冻结)

  private List<FileInfo> houseFileInfoList; // 房型详细图
  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }


  public String getOrderNum() {
    return orderNum;
  }

  public void setOrderNum(String orderNum) {
    this.orderNum = orderNum;
  }


  public String getOrderStatus() {
    return orderStatus;
  }

  public void setOrderStatus(String orderStatus) {
    this.orderStatus = orderStatus;
  }

  public String getOrderName() {
    return orderName;
  }

  public void setOrderName(String orderName) {
    this.orderName = orderName;
  }

  public String getUserIdnumber() {
    return userIdnumber;
  }

  public void setUserIdnumber(String userIdnumber) {
    this.userIdnumber = userIdnumber;
  }


  public String getUserName() {
    return userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }


  public String getUserPhone() {
    return userPhone;
  }

  public void setUserPhone(String userPhone) {
    this.userPhone = userPhone;
  }


  public String getHotelId() {
    return hotelId;
  }

  public void setHotelId(String hotelId) {
    this.hotelId = hotelId;
  }


  public String getHotelName() {
    return hotelName;
  }

  public void setHotelName(String hotelName) {
    this.hotelName = hotelName;
  }


  public String getHotelHposition() {
    return hotelHposition;
  }

  public void setHotelHposition(String hotelHposition) {
    this.hotelHposition = hotelHposition;
  }


  public String getHotelHpositionWens() {
    return hotelHpositionWens;
  }

  public void setHotelHpositionWens(String hotelHpositionWens) {
    this.hotelHpositionWens = hotelHpositionWens;
  }


  public String getHotelPhone() {
    return hotelPhone;
  }

  public void setHotelPhone(String hotelPhone) {
    this.hotelPhone = hotelPhone;
  }


  public String getHotelPerson() {
    return hotelPerson;
  }

  public void setHotelPerson(String hotelPerson) {
    this.hotelPerson = hotelPerson;
  }


  public String getHotelTownship() {
    return hotelTownship;
  }

  public void setHotelTownship(String hotelTownship) {
    this.hotelTownship = hotelTownship;
  }

  public String getHotelTownshipName() {
    return hotelTownshipName;
  }

  public void setHotelTownshipName(String hotelTownshipName) {
    this.hotelTownshipName = hotelTownshipName;
  }

  public String getHotelConfig() {
    return hotelConfig;
  }

  public void setHotelConfig(String hotelConfig) {
    this.hotelConfig = hotelConfig;
  }


  public String getHotelType() {
    return hotelType;
  }

  public void setHotelType(String hotelType) {
    this.hotelType = hotelType;
  }


  public String getHotelIsCanorder() {
    return hotelIsCanorder;
  }

  public void setHotelIsCanorder(String hotelIsCanorder) {
    this.hotelIsCanorder = hotelIsCanorder;
  }


  public String getHouseId() {
    return houseId;
  }

  public void setHouseId(String houseId) {
    this.houseId = houseId;
  }


  public String getHouseName() {
    return houseName;
  }

  public void setHouseName(String houseName) {
    this.houseName = houseName;
  }


  public String getHouseConfig() {
    return houseConfig;
  }

  public void setHouseConfig(String houseConfig) {
    this.houseConfig = houseConfig;
  }


  public double getHouseUnitPrice() {
    return houseUnitPrice;
  }

  public void setHouseUnitPrice(double houseUnitPrice) {
    this.houseUnitPrice = houseUnitPrice;
  }


  public double getHouseTotalPrice() {
    return houseTotalPrice;
  }

  public void setHouseTotalPrice(double houseTotalPrice) {
    this.houseTotalPrice = houseTotalPrice;
  }


  public int getHouseOrderNumber() {
    return houseOrderNumber;
  }

  public void setHouseOrderNumber(int houseOrderNumber) {
    this.houseOrderNumber = houseOrderNumber;
  }


  public String getHouseAreas() {
    return houseAreas;
  }

  public void setHouseAreas(String houseAreas) {
    this.houseAreas = houseAreas;
  }


  public String getHouseRemake() {
    return houseRemake;
  }

  public void setHouseRemake(String houseRemake) {
    this.houseRemake = houseRemake;
  }


  public String getOrderStartTime() {
    return DateUtil.convertDateTimeMysql(orderStartTime);
  }

  public void setOrderStartTime(String orderStartTime) {
    this.orderStartTime = orderStartTime;
  }


  public String getOrderEndTime() {
    return DateUtil.convertDateTimeMysql(orderEndTime);
  }

  public void setOrderEndTime(String orderEndTime) {
    this.orderEndTime = orderEndTime;
  }


  public String getOrderLiveTime() {
    return orderLiveTime;
  }

  public void setOrderLiveTime(String orderLiveTime) {
    this.orderLiveTime = orderLiveTime;
  }


  public String getOrderRemake() {
    return orderRemake;
  }

  public void setOrderRemake(String orderRemake) {
    this.orderRemake = orderRemake;
  }


  public String getCreateTime() {
    return DateUtil.convertDateTimeMysql(createTime);
  }

  public void setCreateTime(String createTime) {
    this.createTime = createTime;
  }


  public String getCreateUserid() {
    return createUserid;
  }

  public void setCreateUserid(String createUserid) {
    this.createUserid = createUserid;
  }


  public String getUpdateTime() {
    return DateUtil.convertDateTimeMysql(updateTime);
  }

  public void setUpdateTime(String updateTime) {
    this.updateTime = updateTime;
  }


  public String getPayTime() {
    return DateUtil.convertDateTimeMysql(payTime);
  }

  public void setPayTime(String payTime) {
    this.payTime = payTime;
  }


  public double getPayAccount() {
    return payAccount;
  }

  public void setPayAccount(double payAccount) {
    this.payAccount = payAccount;
  }

  public double getOrderAccount() {
    return orderAccount;
  }

  public void setOrderAccount(double orderAccount) {
    this.orderAccount = orderAccount;
  }

  public String getPayWay() {
    return payWay;
  }

  public void setPayWay(String payWay) {
    this.payWay = payWay;
  }

  public double getInAccount() {
    return inAccount;
  }

  public void setInAccount(double inAccount) {
    this.inAccount = inAccount;
  }

  public String getRefundWay() {
    return refundWay;
  }

  public void setRefundWay(String refundWay) {
    this.refundWay = refundWay;
  }


  public double getRefundAmount() {
    return refundAmount;
  }

  public void setRefundAmount(double refundAmount) {
    this.refundAmount = refundAmount;
  }


  public String getRefundTime() {
    return DateUtil.convertDateTimeMysql(refundTime);
  }

  public void setRefundTime(String refundTime) {
    this.refundTime = refundTime;
  }


  public String getCheckOutTime() {
    return DateUtil.convertDateTimeMysql(checkOutTime);
  }

  public void setCheckOutTime(String checkOutTime) {
    this.checkOutTime = checkOutTime;
  }


  public String getRemake() {
    return remake;
  }

  public void setRemake(String remake) {
    this.remake = remake;
  }

  public Integer getHotelManagerId() {
    return hotelManagerId;
  }

  public void setHotelManagerId(Integer hotelManagerId) {
    this.hotelManagerId = hotelManagerId;
  }

  public String getLockTime() {
    return lockTime;
  }

  public void setLockTime(String lockTime) {
    this.lockTime = lockTime;
  }

  public List getHotelConfigList() {
    return hotelConfigList;
  }

  public void setHotelConfigList(List hotelConfigList) {
    this.hotelConfigList = hotelConfigList;
  }

  public List getHouseConfigList() {
    return houseConfigList;
  }

  public void setHouseConfigList(List houseConfigList) {
    this.houseConfigList = houseConfigList;
  }

  public String getHotelIsOrder() {
    return hotelIsOrder;
  }

  public void setHotelIsOrder(String hotelIsOrder) {
    this.hotelIsOrder = hotelIsOrder;
  }

  public String getHotelIsCheckout() {
    return hotelIsCheckout;
  }

  public void setHotelIsCheckout(String hotelIsCheckout) {
    this.hotelIsCheckout = hotelIsCheckout;
  }

  public String getLiveTime() {
    return liveTime;
  }

  public void setLiveTime(String liveTime) {
    this.liveTime = liveTime;
  }

  public List<FileInfo> getHouseFileInfoList() {
    return houseFileInfoList;
  }

  public void setHouseFileInfoList(List<FileInfo> houseFileInfoList) {
    this.houseFileInfoList = houseFileInfoList;
  }

  public int getStatus_del() {
    return status_del;
  }

  public void setStatus_del(int status_del) {
    this.status_del = status_del;
  }

  public List<HouseNumber> getHouseNumbers() {
    return houseNumbers;
  }

  public void setHouseNumbers(List<HouseNumber> houseNumbers) {
    this.houseNumbers = houseNumbers;
  }

  public Integer getHstatus() {
    return hstatus;
  }

  public void setHstatus(Integer hstatus) {
    this.hstatus = hstatus;
  }

  public Integer getHotelStatus() {
    return hotelStatus;
  }

  public void setHotelStatus(Integer hotelStatus) {
    this.hotelStatus = hotelStatus;
  }

  public Integer getSaccountState() {
    return saccountState;
  }

  public void setSaccountState(Integer saccountState) {
    this.saccountState = saccountState;
  }

  public String getSaccountTime() {
    return saccountTime;
  }

  public void setSaccountTime(String saccountTime) {
    this.saccountTime = saccountTime;
  }
}
